Author Topic: Menu items prompt download of php file. Upgrading from 2.8 solution?  (Read 1341 times)

Offline styzer1137

  • Posts: 26
Hi, if my post needs to be moved, please do. I could not find how to start a new topic in 2.8.

► I'm stuck here with a site that has been having issues. I'm running PHP 5.2 on it, but when I click on a menu item, it prompts a download request for the php page instead of opening that page.

The site is here: http://www.spiritfm.ca/2/

On Mac OS, instead of a download prompt, he gets this message:

Code: [Select]
<?php
$page_id 
4;
require(
"../config.php");
require(
WB_PATH."/index.php");
?>

Before moving to WordPress, I'd like to fix this for my client if possible.

Is it possible to upgrade directly from 2.8 to 2.12? And would this fix the issue? I don't want to make him pay for work that won't fix it.

Thanks in advance!

Andre



Offline dbs

  • Betatester
  • **
  • Posts: 8650
  • Gender: Male
  • tioz4ever
    • WebsiteBaker - jQuery-Plugins - Module - Droplets - Tests
Re: Menu items prompt download of php file. Upgrading from 2.8 solution?
« Reply #1 on: March 09, 2021, 07:20:09 PM »
Hi, witch hoster allows you to use PHP 5.2?

Your way should be upgrade to WB 2.8.3 (PHP 5.6) and then to 2.12.x (PHP 7.3).
https://forum.WebsiteBaker.org/index.php/topic,23412.0.html

Next steps are finding updates of the used modules.
http://addon.WebsiteBaker.org/pages/en/browse-add-ons.php

Offline styzer1137

  • Posts: 26
Re: Menu items prompt download of php file. Upgrading from 2.8 solution?
« Reply #2 on: March 09, 2021, 07:46:10 PM »
Thank you for your reply,

Bear in mind I built this site 8+ years ago, and never used WB after that.

My apologies - I am using PHP 5.6 (mediaserve.com, and upon request).

So how can I create a FULL back of the site in case something goes wrong?

► What are Droplets?

► "Backup your changed Files in modules and templates folder like .css, .js and .htt"

How do you identify the files that were changed? Are these all in the same folder?

As for modules, what if there are no new versions? (anynews)


Many thanks,

Andre

« Last Edit: March 09, 2021, 07:56:24 PM by styzer1137 »

Offline DarkViper

  • Forum administrator
  • *****
  • Posts: 3062
  • Gender: Female
Re: Menu items prompt download of php file. Upgrading from 2.8 solution?
« Reply #3 on: March 09, 2021, 08:29:56 PM »
I scanned your site briefly.
I noticed one thing:

The calling domain is spiritfm.ca
.. In the menu links of the page, however, the domain spirit-fm.ca appears.

Am I correctly assuming that no PHP is installed or activated on the web space of the domain spirit-fm.ca?

If I remove the hyphen from the wrong domain names for the menu links, every pageview works perfectly.

So first of all you should look for where the domain name is being falsified. (Possibly. Config.php?)

have a nice day,
from Manuela

PS: Just I checked your config.php. Following changes must be made:

define('WB_URL', 'http://www.spirit-fm.ca/2');
define('WB_URL', 'http://www.spiritfm.ca/2');

define('ADMIN_URL', 'http://www.spirit-fm.ca/2/admin');
define('ADMIN_URL', 'http://www.spiritfm.ca/2/admin');


Swap red for blue and your site again will work fine.
« Last Edit: March 09, 2021, 09:28:21 PM by DarkViper »
Der blaue Planet - er ist nicht unser Eigentum - wir haben ihn nur von unseren Nachkommen geliehen

"You have to take the men as they are… but you can not leave them like that !" :-P
Das tägliche Stoßgebet: Oh Herr, wirf Hirn vom Himmel !

Offline styzer1137

  • Posts: 26
Re: Menu items prompt download of php file. Upgrading from 2.8 solution?
« Reply #4 on: March 09, 2021, 09:42:00 PM »
I scanned your site briefly.
I noticed one thing:

PS: Just I checked your config.php. Following changes must be made:

define('WB_URL', 'http://www.spirit-fm.ca/2');
define('WB_URL', 'http://www.spiritfm.ca/2');

define('ADMIN_URL', 'http://www.spirit-fm.ca/2/admin');
define('ADMIN_URL', 'http://www.spiritfm.ca/2/admin');


Swap red for blue and your site again will work fine.


YES!!

EDIT: I'm able to access the admin page by removing the php at the end of admin, and it becomes http://www.spiritfm.ca/2/admin/login/index.php.

Can I find my login info from a file on the server?

« Last Edit: March 09, 2021, 09:50:55 PM by styzer1137 »

Offline hgs

  • Betatester
  • **
  • Posts: 1420
    • EFG MG
Re: Menu items prompt download of php file. Upgrading from 2.8 solution?
« Reply #5 on: March 09, 2021, 09:56:56 PM »
You mean the login data?
You gave them to yourself when you created them 8 years ago.
The data can be found in the database under the table USER
LG Harald

"Fange nie an, aufzuhören - höre nie auf, anzufangen." Marcus Tullius Cicero (106-43 v.Chr.)

Offline styzer1137

  • Posts: 26
Re: Menu items prompt download of php file. Upgrading from 2.8 solution?
« Reply #6 on: March 09, 2021, 10:00:22 PM »
Well...

EXCESSIVE INVALID LOGINS
You have attempted to login too many times


Thank you for the tip, I'll go under the hood to find this out.

Regards,

Andre

Offline hgs

  • Betatester
  • **
  • Posts: 1420
    • EFG MG
Re: Menu items prompt download of php file. Upgrading from 2.8 solution?
« Reply #7 on: March 09, 2021, 10:06:51 PM »
You can find the link at
http://www.spiritfm.ca/2/admin/login/index.php
Forgotten your details?
to have a new password sent to you.
LG Harald

"Fange nie an, aufzuhören - höre nie auf, anzufangen." Marcus Tullius Cicero (106-43 v.Chr.)

Offline styzer1137

  • Posts: 26
Re: Menu items prompt download of php file. Upgrading from 2.8 solution?
« Reply #8 on: March 09, 2021, 10:28:47 PM »
You can find the link at
http://www.spiritfm.ca/2/admin/login/index.php
Forgotten your details?
to have a new password sent to you.

Yep, combining the database info (where I could finally find the correct email used in 2011) and then getting new credentials, I'm in!

Thank you all for your help, I may ask again if my client wants to upgrade to a recent version. For now, he's just happy to have his site back working. So we'll wait for a better time. :)

Regards,

Andre

Offline hgs

  • Betatester
  • **
  • Posts: 1420
    • EFG MG
Re: Menu items prompt download of php file. Upgrading from 2.8 solution?
« Reply #9 on: March 10, 2021, 06:14:11 AM »
This is good news.
But maybe they will talk to the owner of the website about the necessary upgrade.
The used php- version 5.6 is not up to date for a very long time, see:
https://www.php.net/supported-versions.php
The WebsiteBaker version is the same and there were enough security reasons why we just released version 2.13 for download.
A detailed guide to go in the 1st step to the WB version 2.8.3 can be found here:
https://forum.WebsiteBaker.org/index.php/topic,23412.msg158494.html#msg158494
After that you can upgrade to the current WB version 2.13. The php version must be at least 7.3, we recommend php 7.4.
The instructions for this upgrade can be found in the folder /DOCU in the unpacked version 2.13.
I would test the upgrade if possible with a 1:1 copy in a subdomain, we can also offer help here.

Translated with www.DeepL.com/Translator (free version)
LG Harald

"Fange nie an, aufzuhören - höre nie auf, anzufangen." Marcus Tullius Cicero (106-43 v.Chr.)

Offline styzer1137

  • Posts: 26
Re: Menu items prompt download of php file. Upgrading from 2.8 solution?
« Reply #10 on: March 10, 2021, 07:11:47 PM »
This is good news.
But maybe they will talk to the owner of the website about the necessary upgrade.
The used php- version 5.6 is not up to date for a very long time, see:
https://www.php.net/supported-versions.php
The WebsiteBaker version is the same and there were enough security reasons why we just released version 2.13 for download.
A detailed guide to go in the 1st step to the WB version 2.8.3 can be found here:
https://forum.WebsiteBaker.org/index.php/topic,23412.msg158494.html#msg158494
After that you can upgrade to the current WB version 2.13. The php version must be at least 7.3, we recommend php 7.4.
The instructions for this upgrade can be found in the folder /DOCU in the unpacked version 2.13.
I would test the upgrade if possible with a 1:1 copy in a subdomain, we can also offer help here.

Translated with www.DeepL.com/Translator (free version)


Thank you, I have told me client and he is going to tell me when he is ready to upgrade. For now he's grateful it's working, thanks to the help here. :)

Regards.,

Andre


Offline styzer1137

  • Posts: 26
Re: Menu items prompt download of php file. Upgrading from 2.8 solution?
« Reply #11 on: March 10, 2021, 07:25:21 PM »
ONE MORE QUESTION?

http://www.spiritfm.ca/2/pages/news.php

I can't find where to access the News scroller to edit the content. We're using News module v3.5 but I don't remember how to display those News in the news ticker on the right of the page.

I'm confused...

And finally, when I go to Media and click on any of the items, I get this error message:

Not Acceptable
An appropriate representation of the requested resource could not be found on this server.

Why?

Thank you in advance,

Andre

Offline hgs

  • Betatester
  • **
  • Posts: 1420
    • EFG MG
Re: Menu items prompt download of php file. Upgrading from 2.8 solution?
« Reply #12 on: March 11, 2021, 07:55:31 AM »
ONE MORE QUESTION?
http://www.spiritfm.ca/2/pages/news.php
I can't find where to access the News scroller to edit the content. We're using News module v3.5 but I don't remember how to display those News in the news ticker on the right of the page.
I'm confused...

On the website, it looks like current contributions also run through on the right. To me it looks like there is an automatism built into the template that does this.

And finally, when I go to Media and click on any of the items, I get this error message:
Not Acceptable
An appropriate representation of the requested resource could not be found on this server.
Why?

Which file extensions are affected, or are they all?

We eventually need admin access to have a look at it live on their server. This please by pm to me
« Last Edit: March 11, 2021, 08:00:33 AM by hgs »
LG Harald

"Fange nie an, aufzuhören - höre nie auf, anzufangen." Marcus Tullius Cicero (106-43 v.Chr.)

Offline styzer1137

  • Posts: 26
Re: Menu items prompt download of php file. Upgrading from 2.8 solution?
« Reply #13 on: March 11, 2021, 09:38:22 AM »
On the website, it looks like current contributions also run through on the right. To me it looks like there is an automatism built into the template that does this.

Hmmm... I can't see News items on the News page scrolling on the right marquee. I created new ones especially to check that. He told me that he added a few videos to that news scroller, but I can't find where he entered these links.


And finally, when I go to Media and click on any of the items, I get this error message:
Not Acceptable
An appropriate representation of the requested resource could not be found on this server.
Why?

Which file extensions are affected, or are they all?

We eventually need admin access to have a look at it live on their server. This please by pm to me

Hi thank you, I contacted you via PM.

Blessings,

Andre
« Last Edit: March 11, 2021, 09:45:29 AM by styzer1137 »

Offline dbs

  • Betatester
  • **
  • Posts: 8650
  • Gender: Male
  • tioz4ever
    • WebsiteBaker - jQuery-Plugins - Module - Droplets - Tests
Re: Menu items prompt download of php file. Upgrading from 2.8 solution?
« Reply #14 on: March 11, 2021, 10:04:44 AM »
Hello, the newsscroller is delivered via snippet anynews.
It displays only entries from news module. No way to add videos or something else extra to this scroller.

Offline styzer1137

  • Posts: 26
Re: Menu items prompt download of php file. Upgrading from 2.8 solution?
« Reply #15 on: March 11, 2021, 10:21:33 AM »
And finally, when I go to Media and click on any of the items, I get this error message:
Not Acceptable
An appropriate representation of the requested resource could not be found on this server.
Why?

Which file extensions are affected, or are they all?

We eventually need admin access to have a look at it live on their server. This please by pm to me

Actually it seems only the directories are affected. So when i click on the folder icon i get that message.


Offline hgs

  • Betatester
  • **
  • Posts: 1420
    • EFG MG
Re: Menu items prompt download of php file. Upgrading from 2.8 solution?
« Reply #16 on: March 12, 2021, 06:22:22 AM »
For all interested readers
We copied the website 1:1 on our test server and found out the following.

Quote from pm:

On our server there are no problems with the media management, all subfolders can be opened and operated without problems.
You can test it yourself on our server. So this problem has nothing to do with WebsiteBaker and will be on your server.

The news display on the right side is controlled by this entry in the index.php in the template directory
/templates/webarte-player
controlled
search for:
Code: [Select]
<marquee direction="up" onmouseover="this.stop()" onmouseout="this.start()" scrolldelay="0" scrollamount="2.5" height="230">
<div class="news" style="width:240px;margin-left:20px;margin-bottom:20px;margin-top:0px;background:url(<?php echo TEMPLATE_DIR?>/images/news.jpg) no-repeat;">

<?php
if (function_exists('displayNewsItems')) {
   
displayNewsItems(
       
$group_id 0
       
$max_news_items 5
       
$max_news_length 55
       
$display_mode 5
       
$lang_id 'EN'
       
$strip_tags true
       
$allowed_tags ''
       
$custom_placeholder false,
       
$sort_by 1
       
$sort_order 1
       
$not_older_than 0
   
);
}
?>

</div></marquee></div> 

and change the entry
Code: [Select]
$sort_by = 1, to
Code: [Select]
$sort_by = 3,
After that the news from news will be included in anynews. It will always show the latest news, no matter if they are written in VIDEOS or in News.

Quote end

Translated with www.DeepL.com/Translator (free version)
LG Harald

"Fange nie an, aufzuhören - höre nie auf, anzufangen." Marcus Tullius Cicero (106-43 v.Chr.)

Offline styzer1137

  • Posts: 26
Re: Menu items prompt download of php file. Upgrading from 2.8 solution?
« Reply #17 on: March 12, 2021, 11:54:36 AM »
For all interested readers
We copied the website 1:1 on our test server and found out the following.

Quote from pm:

On our server there are no problems with the media management, all subfolders can be opened and operated without problems.
You can test it yourself on our server. So this problem has nothing to do with WebsiteBaker and will be on your server.

Interesting, can I ask which version of PHP you guys are using on the server?

The news display on the right side is controlled by this entry in the index.php in the template directory
/templates/webarte-player
controlled
search for:
Code: [Select]
<marquee direction="up" onmouseover="this.stop()" onmouseout="this.start()" scrolldelay="0" scrollamount="2.5" height="230">
<div class="news" style="width:240px;margin-left:20px;margin-bottom:20px;margin-top:0px;background:url(<?php echo TEMPLATE_DIR?>/images/news.jpg) no-repeat;">

and change the entry
[code]$sort_by = 1,
to
Code: [Select]
$sort_by = 3,
After that the news from news will be included in anynews. It will always show the latest news, no matter if they are written in VIDEOS or in News.

YES! That works! Now my client will be able to populate the News properly.

I wonder why this happened, but that is not a major concern.

I would never have found this on my own, no matter how much I would have researched.

Can I get an AMEN!!! :D YOU GUYS ROCK!!

Most grateful for the help, God bless you!

Andre


Offline styzer1137

  • Posts: 26
Re: Menu items prompt download of php file. Upgrading from 2.8 solution?
« Reply #18 on: March 12, 2021, 12:15:01 PM »
I was just looking at the News scroller and noticed two things:

I'm able to fill the News page with news that will show in the scroller.

► However - I notice that the news items on the scroller are pulled from BOTH Videos page, AND News. It could be OK IF... ▼

► Plus, shouldn't the entries on the news scroller have a READ MORE link to the original/full content for ALL News items?

Almost there! :)

Blessings,

Andre

Offline hgs

  • Betatester
  • **
  • Posts: 1420
    • EFG MG
Re: Menu items prompt download of php file. Upgrading from 2.8 solution?
« Reply #19 on: March 12, 2021, 12:50:52 PM »
Quote
Interesting, can I ask which version of PHP you guys are using on the server?

Ok, the server is fortunately still running php5.6
Actually, this version has long been at the end of its life.
LG Harald

"Fange nie an, aufzuhören - höre nie auf, anzufangen." Marcus Tullius Cicero (106-43 v.Chr.)

Offline dbs

  • Betatester
  • **
  • Posts: 8650
  • Gender: Male
  • tioz4ever
    • WebsiteBaker - jQuery-Plugins - Module - Droplets - Tests
Re: Menu items prompt download of php file. Upgrading from 2.8 solution?
« Reply #20 on: March 12, 2021, 12:53:45 PM »
Hi, don't forget your WB and his modules are very old.
Yes, your scroller code will display all news sections.
Read more is only visible if your news has content in both editors (short & long). Read more leads to the long content.

Offline hgs

  • Betatester
  • **
  • Posts: 1420
    • EFG MG
Re: Menu items prompt download of php file. Upgrading from 2.8 solution?
« Reply #21 on: March 12, 2021, 01:00:49 PM »
Quote
► However - I notice that the news items on the scroller are pulled from BOTH Videos page, AND News. It could be OK IF... ▼

About the logic of anynews as I understood it, I don't use the tool myself!
the snippet "AnyNews" doesn't distinguish where a "News" is located. in the database every "News" gets a consecutive ID no matter on which page with the module News it is created.
In the template it is set so that the 5 most recent news IDs are displayed on the right side.
Your two pages "VIDEOS" and "News" are both created with the "Module News". And from both pages now the 5 most current IDs are displayed.
So if there are more than 5 entries on the "News" page and there are no new entries on the "VIDEOS" page, the issue will be resolved over time.

Translated with www.DeepL.com/Translator (free version)
LG Harald

"Fange nie an, aufzuhören - höre nie auf, anzufangen." Marcus Tullius Cicero (106-43 v.Chr.)

Offline styzer1137

  • Posts: 26
Re: Menu items prompt download of php file. Upgrading from 2.8 solution?
« Reply #22 on: March 12, 2021, 01:58:58 PM »
Quote
► However - I notice that the news items on the scroller are pulled from BOTH Videos page, AND News. It could be OK IF... ▼

About the logic of anynews as I understood it, I don't use the tool myself!
the snippet "AnyNews" doesn't distinguish where a "News" is located. in the database every "News" gets a consecutive ID no matter on which page with the module News it is created.
In the template it is set so that the 5 most recent news IDs are displayed on the right side.
Your two pages "VIDEOS" and "News" are both created with the "Module News". And from both pages now the 5 most current IDs are displayed.
So if there are more than 5 entries on the "News" page and there are no new entries on the "VIDEOS" page, the issue will be resolved over time.

Translated with www.DeepL.com/Translator (free version)

Thank you for clarifying. Indeed, maybe upgrading (everything) is truly going to help.

What module could replace AnyNews? As it is an important part of the sidebar (the only actually at this point).

Andre


Offline dbs

  • Betatester
  • **
  • Posts: 8650
  • Gender: Male
  • tioz4ever
    • WebsiteBaker - jQuery-Plugins - Module - Droplets - Tests
Re: Menu items prompt download of php file. Upgrading from 2.8 solution?
« Reply #23 on: March 12, 2021, 04:16:02 PM »
The successor is cwsoft_anynews.
It is enough to install the snippet, the scroller will work immediately.
With a few small changes it can also access only the one news section instead of all existing ones.

Offline styzer1137

  • Posts: 26
Re: Menu items prompt download of php file. Upgrading from 2.8 solution?
« Reply #24 on: March 12, 2021, 04:22:11 PM »
Many thanks again, humble donation was sent with huge gratitude.

Blessings,

Andre